> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualiza um tombamento existente

> Atualiza um tombamento existente



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-busca-search/refs/heads/main/docs/openapi-v3.json put /api/v1/admin/tombamentos/{id}
openapi: 3.0.0
info:
  description: >-
    API para busca textual e vetorial usando Typesense e embeddings gerados via
    Google Gemini
  title: Mecanismo de Busca API
  termsOfService: http://swagger.io/terms/
  contact:
    name: Prefeitura do Rio de Janeiro
    url: https://prefeitura.rio
    email: contato@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/app-busca-search
    description: Production server
  - url: https://services.staging.app.dados.rio/app-busca-search
    description: Staging server
security: []
paths:
  /api/v1/admin/tombamentos/{id}:
    put:
      tags:
        - tombamentos
      summary: Atualiza um tombamento existente
      description: Atualiza um tombamento existente
      parameters:
        - description: ID do tombamento
          name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.TombamentoRequest'
        description: Dados atualizados do tombamento
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.Tombamento'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - bearerAuth: []
components:
  schemas:
    models.TombamentoRequest:
      type: object
      required:
        - id_servico_antigo
        - id_servico_novo
        - origem
      properties:
        id_servico_antigo:
          type: string
          maxLength: 20000
        id_servico_novo:
          type: string
          maxLength: 20000
        observacoes:
          type: string
          maxLength: 20000
        origem:
          type: string
          enum:
            - 1746_v2_llm
            - carioca-digital_v2_llm
    models.Tombamento:
      type: object
      required:
        - criado_por
        - id_servico_antigo
        - id_servico_novo
        - origem
      properties:
        criado_em:
          type: integer
        criado_por:
          type: string
          maxLength: 20000
        id:
          type: string
        id_servico_antigo:
          type: string
          maxLength: 20000
        id_servico_novo:
          type: string
          maxLength: 20000
        observacoes:
          type: string
          maxLength: 20000
        origem:
          type: string
          enum:
            - 1746_v2_llm
            - carioca-digital_v2_llm
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````